<?php
// Copyright 1999-2017. Plesk International GmbH. All rights reserved.
$messages = array(
    'pageHint' => 'Here you can configure the web application firewall (ModSecurity).',
    'webSitePageHint' => 'Here you can configure the web application firewall (ModSecurity).',
    'ruleEngine' => 'Web application firewall mode',
    'ruleEngineOn' => 'On',
    'ruleEngineOnDescription' => 'Each incoming HTTP request and the related response are checked against a set of rules. If the check succeeds, the HTTP request is passed to web site content. If the check fails, the event is logged, a notification is sent, and the HTTP response is provided with an error code.',
    'ruleEngineOff' => 'Off',
    'ruleEngineOffDescription' => 'Incoming HTTP requests and related responses are not checked.',
    'ruleEngineDetectionOnly' => 'Detection only',
    'ruleEngineDetectionOnlyDescription' => 'Each incoming HTTP request and the related response are checked against a set of rules. If the check succeeds, the HTTP request is passed to web site content. If the check fails, the event is logged, no other actions are performed.',

    'ruleSetsSection' => 'Rule sets',
    'ruleSetsSectionHint' => 'A rule set is a package that contains files with specific security rules. Security rules are checked by the web application firewall engine for each incoming HTTP request.',
    'ruleSet' => 'Rule set',
    'ruleSetCrs' => 'OWASP (free)',
    'ruleSetCrsDescription' => 'OWASP ModSecurity Core Rule Set is very restrictive and might block some functions (for example, file sharing, webmail) and some features of web applications (for example, WordPress plugins).',
    'ruleSetCrsConfirmTitle' => 'Are you sure you want to apply the changes?',
    'ruleSetCrsConfirmDescription' => 'OWASP rules might be too restrictive and thus block some functions, such as file sharing, webmail, and some web applications.',

    'ruleSetTortix' => 'Atomic Standard (free, can be upgraded to Atomic Advanced)',
    'ruleSetTortixDescription' => 'A starter version of ModSecurity Rules by Atomicorp. They provide basic protection and are updated on a monthly basis.',
    'ruleSetTortixHowTo' => 'To upgrade this rule set to Atomic Advanced:',
    'ruleSetTortixBuy' => 'Buy %%linkPleskStore%% from the Plesk website and %%linkDocumentation%%.',
    'ruleSetTortixLinkPleskStoreLabel' => 'Advanced ModSecurity Rules by Atomicorp',
    'ruleSetTortixLinkDocumentationLabel' => 'install the bought additional license key',
    'ruleSetTortixSelect' => 'Select this ruleset, which will change its name to “Atomic Advanced (bought from Plesk)”',
    'ruleSetTortixPro' => 'Atomic Advanced (bought from Plesk)',
    'ruleSetTortixProDescription' => 'Advanced ModSecurity Rules by Atomicorp include Atomic Standard rules plus a number of advanced features.',


    'ruleSetAtomic' => 'Atomic Advanced (bought from Atomicorp)',
    'ruleSetAtomicDescription' => 'Advanced ModSecurity Rules by Atomicorp include Atomic Standard rules plus a number of advanced features.',
    'ruleSetAtomicInstall' => 'Switch to another Atomicorp account.',
    'ruleSetAtomicInstalled' => 'Rule set is activated.',
    'ruleSetAtomicHowTo' => 'If you already have the Atomicorp account with the bought Atomic Advanced rules, enter the account credentials below to enable this rule set.',
    'ruleSetAtomicSwitchHowTo' => 'If you already have the Atomicorp account with the bought Atomic Advanced rules, enter the account credentials below to switch the account.',
    'ruleSetAtomicLogin' => 'Username',
    'ruleSetAtomicPassword' => 'Password',

    'ruleSetComodo' => 'Comodo (free subscription)',
    'ruleSetComodoDescription' => 'Free ModSecurity Rules from Comodo. They provide basic protection.',
    'ruleSetComodoInstall' => 'Switch to another Comodo account.',
    'ruleSetComodoInstalled' => 'Rule set is activated.',
    'ruleSetComodoHowTo' => 'To enable this rule set:',
    'ruleSetComodoSwitchHowTo' => 'To switch to another account:',
    'ruleSetComodoRegister' => 'Register on the Comodo website.',
    'ruleSetComodoCredentials' => 'Enter your username and password from that website.',
    'ruleSetComodoLogin' => 'Username',
    'ruleSetComodoPassword' => 'Password',
    'ruleSetComodoFree' => 'Comodo (free)',
    'ruleSetComodoFreeDescription' => 'Free ModSecurity Rules from Comodo. They provide basic protection.',

    'ruleSetCustom' => 'Custom rule set',
    'ruleSetCustomDescription' => 'Upload a custom web application firewall rule set. Supported formats: zip, tar.gz, tgz, tar.bz2, conf.',
    'ruleSetCustomUpload' => 'Select Another File',

    'ruleSetError' => 'Failed to install the ModSecurity rule set: %%error%%',
    'ruleSetAuthError' => 'The specified username or password is invalid.',

    'ruleSetUpdate' => 'Update rule sets',
    'ruleSetUpdateDaily' => 'Daily',
    'ruleSetUpdateWeekly' => 'Weekly',
    'ruleSetUpdateMonthly' => 'Monthly',

    'currentRuleSet' => 'Selected rule set',
    'currentRuleSetValue' => '%%ruleSet%% %%changeRuleSetLink%%',

    'changeRuleSetLink' => 'Change Rule Set',
    'ruleSetRollbackFailed' => 'Unable to use the current ModSecurity rule set and to roll back to the previous version because they contain invalid rules.',

    'configurationSection' => 'Configuration',
    'configurationSectionHint' => 'You can quickly and easily configure your web application firewall using either a predefined set of parameters or your custom, fine-tuned ModSecurity directives.',
    'configPreset' => 'Predefined set of values',
    'configPresetFast' => 'Fast',
    'configPresetFastDescription' => 'The HTTP request URI and parts of headers will be analyzed.',
    'configPresetTradeOff' => 'Tradeoff',
    'configPresetTradeOffDescription' => 'The HTTP request URI, headers and the request POST data will be analyzed.',
    'configPresetThrough' => 'Thorough',
    'configPresetThroughDescription' => 'The full HTTP request headers, the request POST data and the HTTP response body content will be analyzed.',
    'configCustom' => 'Custom directives',
    'configCustomDescription' => "Input a ModSecurity directive here. It will override the previously specified directives (rule sets, specific rules, the predefined set of values, and so on).\nFor example: SecDebugLogLevel 6",
    'configCustomError' => 'Invalid ModSecurity configuration: %%error%%',
    'configRollbackFailed' => 'Unable to use the current ModSecurity configuration file and to roll back to the previous version of the file because they contain an invalid configuration.',

    'rulesSection' => 'Switch off security rules',
    'rulesSectionHint' => 'Here you can switch off security rules. It is handy if you find out that a security rule is too restrictive for some websites. To deactivate security rules, specify their IDs (for example, 340003), tags (for example, CVE-2011-4898), or regular expressions used in rule messages (for example, XSS).',
    'filterById' => 'Security rule IDs',
    'filterByTag' => 'Tags',
    'filterByTagActive' => 'Active:',
    'filterByTagDeactivated' => 'Deactivated:',
    'filterByRegexp' => 'Regular expression in rule messages',

    'auditLogSection' => 'ModSecurity audit log',
    'auditLogHint1' => 'The ModSecurity audit log file is the most useful piece of information in the system. When ModSecurity detects that any event occurs, it generates an entry in the audit log file.',
    'auditLogHint2' => 'A website can stop functioning as expected after you change the web application firewall mode to On from Off or Detection only. In this case, analyze the ModSecurity audit log to find out what is happening. You can switch off too restrictive security rules or adjust the website.',
    'auditLogHint3' => 'To find out why an HTTP request cannot be completed for a website:',
    'auditLogPoint1' => 'Click the ModSecurity Log File link below and open the audit log in a new browser window.',
    'auditLogPoint2' => 'Use Search (Ctrl+F in most web browsers) to find events for the website (the domain name) that experiences problems. For example, your_domain.tld. The browser will highlight entries like HOST: your_domain.tld.',
    'auditLogPoint3' => 'In three lines above the highlighted entry, find a string like --eece5138-B--. The eight symbols between hyphens (in our example, eece5138) are the ID of the event triggered by the HTTP request.',
    'auditLogPoint4' => 'Search further for other entries with the same event ID. Look for an entry with the letter H after the event ID (in our example, eece5138-H--). This entry contains the ID and description of the security rule triggered while checking the HTTP request. The security rule ID is an integer number starting with 3, in quotation marks, and put with the prefix id in square brackets. For example, [id "340003"].',
    'auditLogPoint5' => 'Find a security rule ID in the event using a substring [id "3.',
    'auditLogPoint6' => 'Switch off the security rule with this ID in the Security rules section below: enter the security rule ID (digits only) into the Security rule IDs field and click OK.',
    'auditLogViewLink' => 'ModSecurity Log File',
    'auditLogListLink' => 'Logs Archive',

    'errorLogSection' => 'Error log',
    'errorLogSectionHint' => 'A website can stop functioning as expected after you change the web application firewall mode to On from Off or Detection only. In this case, analyze the error log to find out what is happening. You can switch off too restrictive security rules or adjust the website.',
    'errorLogViewLink' => 'Error Log File',
);
